Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetServService

public interface InetServService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `authorizationRequest(int contractId, int servId, boolean accountingPeriodActivate, long timeout)`
  `byte[]`
  `inetGetIpFromParent(InetServ serv)`
  `void`
  `inetOptionDelete(int id)`
  `InetOption`
  `inetOptionGet(int id)`
  `List<InetOption>`
  `inetOptionList()`
  `void`
  `inetOptionMove(int newParentId, Set<Integer> ids)`
  `InetOption`
  `inetOptionTree()`
  `int`
  `inetOptionUpdate(InetOption b)`
  `void`
  `inetServDelete(int id, boolean force)`
  Удаление сервиса договора по его ID.
  `InetServ`
  `inetServGet(int inetServId)`
  Получение сервиса (аккаунта) договора по его ID.
  `void`
  `inetServIsActive(InetServ inetServ)`
  `List<InetServ>`
  `inetServList(int contractId)`
  Deprecated.
  Use `invalid input: 'instead'`
  `List<InetServ>`
  `inetServList(int contractId, String orderBy)`
  Получение списка сервисов определенного договора с возможностью сортировки списка.
  `String`
  `inetServLoginGenerate()`
  `void`
  `inetServMove(InetServ inetServ, int cidTo)`
  `List<InetServOption>`
  `inetServOptionList(int inetServId)`
  `String`
  `inetServPasswordGenerate(int inetServTypeId)`
  `List<InetServRestriction>`
  `inetServRestrictionList(int inetServId)`
  Deprecated.
  `List<InetServRestriction>`
  `inetServRestrictionList(int contractId, int inetServId)`
  `void`
  `inetServRestrictionListUpdate(int contractId, int inetServId, List<InetServRestriction> restrictionList)`
  `void`
  `inetServRestrictionListUpdate(int inetServId, List<InetServRestriction> restrictionList)`
  Deprecated.
  `void`
  `inetServSaReinit(int id)`
  `void`
  `inetServStateModify(int inetServId, short state, int accessCode)`
  `InetServ`
  `inetServTree(int contractId)`
  Получение дерева сервисов (аккаунтов) договора.
  `void`
  `inetServTypeDelete(int id)`
  Удаление типа сервиса.
  `InetServType`
  `inetServTypeGet(int id)`
  Получение типа сервиса по его ID.
  `String`
  `inetServTypeIpClass()`
  Json с данными о интерфейсе и суперклассе обработчика IP протокола
  `List<InetServType>`
  `inetServTypeList()`
  Получение списка типов сервиса.
  `List<IdTitle>`
  `inetServTypeTitleList()`
  `int`
  `inetServTypeUpdate(InetServType inetServType)`
  Создание/обновление типа сервиса.
  `int`
  `inetServUpdate(InetServ inetServ, List<InetServOption> optionList, boolean generateLogin, boolean generatePassword, long saWaitTimeout)`
  Создание/обновление сервиса договора.
  `InetServ`
  `inetServWithChildGet(int inetServId)`
  `void`
  `inetServWrap(InetServ inetServ, int cidTo, Date date)`
  `List<Integer>`
  `ipResourceCategoryIds(int deviceId, int interfaceId, int serviceTypeId)`
  `String`
  `ipResourceLinkCheck()`
  `void`
  `ipResourceLinkSet()`
  `SearchResult<InetServ>`
  `searchInetServ(InetServSearchParam searchParam, Page page)`
  `void`
  `trafficTypeDelete(int id)`
  `TrafficType`
  `trafficTypeGet(int id)`
  `void`
  `trafficTypeLinkDelete(int id)`
  `TrafficTypeLink`
  `trafficTypeLinkGet(int id)`
  `List<TrafficTypeLink>`
  `trafficTypeLinkList()`
  `int`
  `trafficTypeLinkUpdate(TrafficTypeLink b)`
  `List<TrafficType>`
  `trafficTypeList()`
  `int`
  `trafficTypeUpdate(TrafficType b)`
  `int`
  `vlanResourceCategoryId(int deviceId)`
  Deprecated.
  `Set<Integer>`
  `vlanResourceCategoryIds(int deviceId)`

- ## Method Details

  - ### inetServTypeGet

    InetServType inetServTypeGet(int id) throws ru.bitel.bgbilling.common.BGException
    Получение типа сервиса по его ID.
    Parameters:
      `id` - ID типа сервиса.
    Returns:
      тип сервиса.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTypeList

    List<InetServType> inetServTypeList() throws ru.bitel.bgbilling.common.BGException
    Получение списка типов сервиса.
    Returns:
      список типов сервиса.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTypeTitleList

    List<IdTitle> inetServTypeTitleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTypeUpdate

    int inetServTypeUpdate(InetServType inetServType) throws ru.bitel.bgbilling.common.BGException
    Создание/обновление типа сервиса.
    Parameters:
      `inetServType` - обновляемый тип сервиса, если idinvalid input: '<'=0, то создается новый.
    Returns:
      ID созданного/обновленного типа сервиса.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTypeDelete

    void inetServTypeDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление типа сервиса. Если в БД есть сервисы данного типа, то будет брошен BGMessageException.
    Parameters:
      `id` - ID типа сервиса.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTypeIpClass

    String inetServTypeIpClass() throws ru.bitel.bgbilling.common.BGException
    Json с данными о интерфейсе и суперклассе обработчика IP протокола
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServGet

    InetServ inetServGet(int inetServId) throws ru.bitel.bgbilling.common.BGException
    Получение сервиса (аккаунта) договора по его ID.
    Parameters:
      `inetServId` - ID сервиса.
    Returns:
      сервис договора.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServWithChildGet

    InetServ inetServWithChildGet(int inetServId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServList

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServListOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServListOldResponse") @Deprecated List<InetServ> inetServList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Use `invalid input: 'instead'`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServList

    List<InetServ> inetServList(int contractId, String orderBy) throws ru.bitel.bgbilling.common.BGException
    Получение списка сервисов определенного договора с возможностью сортировки списка.
    Parameters:
      `contractId` - код договора.
      `orderBy` - строка с параметрами сортировки. Используется в sql-выражении order by по полям таблицы inet_serv_-MID-. Если сортировка не требуется, то в данный метод можно передать null.
    Returns:
      список сервисов договора.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServTree

    InetServ inetServTree(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение дерева сервисов (аккаунтов) договора.
    Parameters:
      `contractId` - ID договора
    Returns:
      дерево сервисов договора, корень данного дерева - фиктивный сервис с ID=0.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServUpdate

    int inetServUpdate(InetServ inetServ, List<InetServOption> optionList, boolean generateLogin, boolean generatePassword, long saWaitTimeout) throws ru.bitel.bgbilling.common.BGException
    Создание/обновление сервиса договора.
    Parameters:
      `inetServ` - сервис (аккаунт) договора.
      `optionList` - список статических опций.
      `generateLogin` - нужно ли генерировать логин (или использовать тот, что в переданном объекте inetServ).
      `generatePassword` - нужно ли генерировать пароль (или использовать тот, что в переданном объекте inetServ).
      `saWaitTimeout` -
    Returns:
      ID созданного/обновленного сервиса договора.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServDelete

    void inetServDelete(int id, boolean force) throws ru.bitel.bgbilling.common.BGException
    Удаление сервиса договора по его ID.
    Parameters:
      `id` - ID сервиса договора.
      `force` - если true - то принудительное удаление договора, без проверки на период и активные сессии.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServIsActive

    void inetServIsActive(InetServ inetServ) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServStateModify

    void inetServStateModify(int inetServId, short state, int accessCode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServLoginGenerate

    String inetServLoginGenerate() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServPasswordGenerate

    String inetServPasswordGenerate(int inetServTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServWrap

    void inetServWrap(InetServ inetServ, int cidTo, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServMove

    void inetServMove(InetServ inetServ, int cidTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionGet

    InetOption inetOptionGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionList

    List<InetOption> inetOptionList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionTree

    InetOption inetOptionTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionUpdate

    int inetOptionUpdate(InetOption b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionDelete

    void inetOptionDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetOptionMove

    void inetOptionMove(int newParentId, Set<Integer> ids) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeGet

    TrafficType trafficTypeGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeList

    List<TrafficType> trafficTypeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeUpdate

    int trafficTypeUpdate(TrafficType b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeDelete

    void trafficTypeDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeLinkGet

    TrafficTypeLink trafficTypeLinkGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeLinkList

    List<TrafficTypeLink> trafficTypeLinkList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeLinkUpdate

    int trafficTypeLinkUpdate(TrafficTypeLink b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### trafficTypeLinkDelete

    void trafficTypeLinkDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServOptionList

    List<InetServOption> inetServOptionList(int inetServId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServRestrictionList

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServRestrictionListOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServRestrictionListOldResponse") @Deprecated List<InetServRestriction> inetServRestrictionList(int inetServId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServRestrictionList

    List<InetServRestriction> inetServRestrictionList(int contractId, int inetServId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServRestrictionListUpdate

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServRestrictionListUpdateOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetServRestrictionListUpdateOldResponse") @Deprecated void inetServRestrictionListUpdate(int inetServId, List<InetServRestriction> restrictionList) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServRestrictionListUpdate

    void inetServRestrictionListUpdate(int contractId, int inetServId, List<InetServRestriction> restrictionList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceCategoryId

    @Deprecated int vlanResourceCategoryId(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceCategoryIds

    Set<Integer> vlanResourceCategoryIds(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceCategoryIds

    List<Integer> ipResourceCategoryIds(int deviceId, int interfaceId, int serviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchInetServ

    SearchResult<InetServ> searchInetServ(InetServSearchParam searchParam, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServSaReinit

    void inetServSaReinit(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceLinkCheck

    String ipResourceLinkCheck() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceLinkSet

    void ipResourceLinkSet() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetGetIpFromParent

    byte[] inetGetIpFromParent(InetServ serv) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### authorizationRequest

    int authorizationRequest(int contractId, int servId, boolean accountingPeriodActivate, long timeout) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`